Subject: Re: [webfinger] Webfinger and URI vs IRI

From: "Martin J. Dürst" <[email-masked]>
Date: Fri, 02 Aug 2013 19:57:58 +0900

Hello Barry,

Sorry for the delay in answering your mail.

On 2013/07/23 18:26, Barry Leiba wrote:
>> Please stop this "only for presentation" myth that essentially means that
> everything is legible as long as it's English.
>
> It's not a "myth", Martin.

It's a myth. First and foremost, RFC 3987 clearly describes IRIs as 
protocol elements (it's in the first line of the abstract, so you don't 
have to search for long).

Second, your earlier mail (around July 22nd) said "I believe WF should 
only use URIs.  I believe that IRIs are a presentation layer thing.". 
Surely we should be able to do better than just "believe".

> It's a question of who needs to read it.
>   Humans don't have to read what's in the JSON.

So people on this list are not humans?

> The application that shows
> a URI to a user will have to render it in a way the user can read it.
>   That's where we get the presentation layer.

What if we had one layer less? Layers are a very convenient thing if 
they add functionality, but not if they add confusion. If we would redo 
email, for example, we would do away with all the base64 and 
quoted-printable stuff, wouldn't we?

Regards,    Martin.

> Barry
>
> On Tuesday, July 23, 2013, "Martin J. Dürst" wrote:
>
>> Hello everybody,
>>
>> On 2013/07/23 6:27, Paul E. Jones wrote:
>>
>>> Barry,
>>>
>>
>>   The reason I raise this is that RFC 5988 refers to the target IRI (the
>>> “href” in WebFinger link relation) and context IRI (the “subject” and
>>> “aliases” in WebFinger).  Only ASCII is used in some protocols, so the
>>> IRIs must be formatted as URIs.
>>>
>>
>>   However, JRD is JSON and, therefore, Unicode.  Thus, we could easily
>>> accommodate links like this:
>>>
>>
>>      {
>>>
>>>       "rel" : "test2",
>>>
>>>       "href" : "http://example.org/私の 文書.txt"
>>>
>>> }
>>>
>>
>>   As opposed this form:
>>>
>>
>>      {
>>>
>>>       "rel" : "test2",
>>>
>>>       "href" :
>>> "http://example.org/%E7%A7%81%**E3%81%AE%20%E6%96%87%E6%9B%B8.**txt<http://example.org/%E7%A7%81%E3%81%AE%20%E6%96%87%E6%9B%B8.txt>
>>> "
>>>
>>> }
>>>
>>
>>   I have no strong preference, but the text did have IRI mentioned in one
>>> place in the JRD spec section, but it was not consistent through the
>>> document.  Everywhere else, we specified URI.
>>>
>>
>>   So, if IRIs are truly only for presentation,
>>>
>>
>> That's clearly not the case. IRIs are used in HTML and other places.
>>
>>   then the latter example above
>>> should be what WF servers return.  The query target is always a
>>> percent-encoded URI, so it’s a non-issue.
>>>
>>
>> For most of you, the differences between the above two examples are mostly
>> irrelevant, and the second one may even look more familiar. But for those
>> who can read the first one (Japanese, although the space is highly
>> suspicious, because Japanese doesn't use spaces), the first one is very
>> clear, whereas the second one is complete gibberish.
>>
>> As a slightly related example, one could write
>>       "rel" : "test2"
>> as
>>       "rel" : "%74%65%73%74%32"
>> and it would provide about the same level of useless obscuration.
>>
>> Please stop this "only for presentation" myth that essentially means that
>> everything is legible as long as it's English.
>>
>> Regards,   Martin.
>>
>
>
>
> _______________________________________________
> webfinger mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/webfinger